/*
 * Copyright (C) 2020-2021 Aloysius Indrayanto
 *
 * This file is part of the eCxx library, see LICENSE file for the license details.
 */


#include <eCxx/eCxx_SPILEDDriver1DShortcut.h>

#include "AVR_Common.h"


//
// Pin numbers
//
static constexpr eCxx::uint8_t PIN_DATA  = 2;
static constexpr eCxx::uint8_t PIN_CLOCK = 3;


//
// Include common source code for 1-dimensional animation using APA102C LED strip test application
//
#include "../CommonCode/Anim1DAPA102C_Common.h"


//
// The init function
//
void eCxx_user_init()
{
    // Initialize application
    initBasicAVRApp();

    // Initialize the animation and driver
    eCxx_user_init_initializeAnimationAndDriver();
}


//
// The task function
//
void eCxx_user_task()
{
    // Process event and update the LED strip animation
    eCxx_user_task_updateAnimation();
}
